test-clone-failure: fake output upon fifo unavailabity
authorPatrick Mezard <pmezard@gmail.com>
Mon, 06 Aug 2007 09:57:23 +0200
changeset 5071 1b970cdab695
parent 5070 4cf6f8dbd1b4
child 5072 7e2385a31933
test-clone-failure: fake output upon fifo unavailabity
tests/test-clone-failure
--- a/tests/test-clone-failure	Mon Aug 06 09:57:23 2007 +0200
+++ b/tests/test-clone-failure	Mon Aug 06 09:57:23 2007 +0200
@@ -26,10 +26,15 @@
 rm -r a b
 
 # Source of wrong type
-mkfifo a
-hg clone a b
-echo $?
-rm a
+if "$TESTDIR/hghave" -q fifo; then
+    mkfifo a
+    hg clone a b
+    echo $?
+    rm a
+else
+    echo "abort: repository a not found!"
+    echo 255
+fi
 
 # Default destination, same directory
 mkdir q